### Function

# Camel memchunk_alloc

since: 3.4

#### Declaration [src]

    gpointer
    camel_memchunk_alloc (
      CamelMemChunk* memchunk
    )

#### Description [src]

Allocate a new atom size block of memory from a `CamelMemChunk`. Free the returned atom with camel_memchunk_free().

Available since: 3.4

This function is not directly available to language bindings.

#### Parameters

`memchunk`

  Type: `CamelMemChunk`

  A `CamelMemChunk`.

  The data is owned by the caller of the function.

#### Return value

Type: `gpointer`

An allocated block of memory.

The caller of the function takes ownership of the data, and is responsible for freeing it.
The return value can be `NULL`.